#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	fontconfig
Version		:	2.14.0
Release		:	14.4.0.0%{?dist}
Summary		:	Font configuration and customization library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT Text shaping library
URL		:	https://www.freedesktop.org/software/fontconfig/release/

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	freetype-devel

Requires	:	coreutils
Requires	:	grep
#-----------------------------------------------------------------------------
%description
Fontconfig is designed to locate fonts within the
system and select them according to requirements specified by
applications.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/fonts/conf.d/*
%{_sysconfdir}/fonts/fonts.conf
%{_sysconfdir}/rpm/macros.%{name}
%{_bindir}/fc-*
%{_libdir}/lib%{name}*.so.*
%{_datadir}/%{name}/conf.avail/*.conf
%{_datadir}/xml/%{name}/fonts.dtd
%{_defaultdocdir}/%{name}/%{name}-devel.{pdf,txt}
%{_defaultdocdir}/%{name}/%{name}-user.{html,pdf,txt}
%{_defaultdocdir}/%{name}/%{name}-devel/*.html
%{_mandir}/man1/*.1.gz
%{_mandir}/man5/*.5.gz

#-----------------------------------------------------------------------------
%post
umask 0022
 
mkdir -p %{_libdir}/%{name}/cache
[[ -d %{_localstatedir}/cache/fontconfig ]] && 		\
	rm -rf %{_localstatedir}/cache/fontconfig/* 2>	\
	/dev/null || :

# Fororce regeneration of all fontconfig cache files
# The check for existance is needed on dual-arch installs (the second
# copy of fontconfig might install the binary instead of the first)
# The HOME setting is to avoid problems if HOME hasn't been reset
if [ -x %{_bindir}/fc-cache ] && 			\
	%{_bindir}/fc-cache --version 2>&1 |		\
	grep -q %{version} ; then
  HOME=/root /usr/bin/fc-cache -f
  fi

%posttrans
if [ -e %{_sysconfdir}/xml/catalog ]; then
  %{_bindir}/xmlcatalog --noout --add system		\
	"urn:fontconfig:fonts.dtd"			\
	"file://%{_datadir}/xml/fontconfig/fonts.dtd"	\
	%{_sysconfdir}/xml/catalog
  fi

%postun
if [ $1 == 0 ] && [ -e %{_sysconfdir}/xml/catalog ]; then
  %{_bindir}/xmlcatalog --noout --del "urn:fontconfig:fonts.dtd"
  fi

#=============================================================================
%package		devel
Summary		:	Font configuration and customization library

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}
Requires	:	freetype
Requires	:	pkg-config
Requires	:	gettext

Requires(pre)	:	libxml2
Requires(postun):	libxml2
#-----------------------------------------------------------------------------
%description		devel
The fontconfig-devel package includes the header files,
and developer docs for the fontconfig package.
 
Install fontconfig-devel if you want to develop programs which 
will use fontconfig.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_libdir}/libfontconfig.so
%{_libdir}/pkgconfig/%{name}*.pc
%{_datadir}/gettext/its/fontconfig.its
%{_datadir}/gettext/its/fontconfig.loc
%{_mandir}/man3/Fc*.3.gz

#=============================================================================
%prep
%setup -q
tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}		\
	--with-baseconfigdir=%{_sysconfdir}/fonts	\
	--enable-libxml2				\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install


#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete


%{__mkdir_p} %{buildroot}%{_sysconfdir}/rpm
%{__cp} -a						\
	%{name}-ok_addon/rpm_macros.%{name}		\
	%{buildroot}%{_sysconfdir}/rpm/macros.%{name}
	

%find_lang %{name}
%find_lang %{name}-conf
cat %{name}-conf.lang >> %{name}.lang

#-----------------------------------------------------------------------------
%changelog
